﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace XamTreeView
{
    public class MyConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;

            if (parameter != null && parameter.ToString() == "cvp")
                return new Thickness((((int)value / 2) * 17), 0, 0, 0);
            else
                return -(((int)value / 2) * 17);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}